Bug 2749 - gitweb is not compatible with Apache 2.4
: gitweb is not compatible with Apache 2.4
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 12:29 MSD by Denis Silakov
Modified: 2013-10-21 12:04 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-10-08 12:29:24 MSD
Currently if you install gitweb package, apache fails to restart ("sytemctl restart httpd" fails).
Comment 1 Denis Silakov 2013-10-08 12:29:59 MSD
Advisory:
Adapted gitweb for Apache 2.4

Build lists:
https://abf.rosalinux.ru/build_lists/1339488
https://abf.rosalinux.ru/build_lists/1339489
Comment 2 Alexander Petryakov 2013-10-13 15:14:53 MSD
CGI script don't work,

I think gitweb.conf should be:

cat /etc/httpd/conf/webapps.d/gitweb.conf 

# gitweb configuration
Alias /gitweb /usr/share/gitweb

<Directory /usr/share/gitweb>
    Require all granted
    Options +FollowSymLinks +ExecCGI
    DirectoryIndex gitweb.cgi
    AddHandler cgi-script .cgi
</Directory>
Comment 3 Denis Silakov 2013-10-14 15:26:47 MSD
Indeed, I found one more problem - gitweb didn't have dependency on mod_perl, added now.

Advisory:
Adapted gitweb for Apache 2.4

Build lists:
https://abf.rosalinux.ru/build_lists/1347334
https://abf.rosalinux.ru/build_lists/1347335
Comment 4 Alexander Petryakov 2013-10-17 02:12:14 MSD
git-1.7.11.3-4
************** Advisory **************
Adapted gitweb for Apache 2.4
**************************************
QA Verified